TelepathyQt4: SharedPtr< T > Class Template Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# SharedPtr< T > Class Template Reference

`#include <TelepathyQt4/shared-ptr.h>`

List of all members.

## Public Member Functions

- SharedPtr ()
- SharedPtr (T *d)
- SharedPtr (const SharedPtr< T > &o)
- SharedPtr (const WeakPtr< T > &o)
- ~SharedPtr ()
- void reset ()
- T * data () const
- const T * constData () const
- T * operator-> ()
- T * operator-> () const
- bool isNull () const
- operator bool () const
- bool operator! () const
- bool operator== (const SharedPtr< T > &o) const
- bool operator!= (const SharedPtr< T > &o) const
- bool operator== (const T *ptr) const
- bool operator!= (const T *ptr) const
- SharedPtr< T > & operator= (const SharedPtr< T > &o)
- void swap (SharedPtr< T > &o)

## Static Public Member Functions

- template<class X > static SharedPtr< T > staticCast (const SharedPtr< X > &src)
- template<class X > static SharedPtr< T > dynamicCast (const SharedPtr< X > &src)
- template<class X > static SharedPtr< T > constCast (const SharedPtr< X > &src)

### template<class T>
class Tp::SharedPtr< T >

## Constructor & Destructor Documentation

SharedPtr | ( |  | ) | `[inline]`

SharedPtr | ( | T * | d | ) | `[inline, explicit]`

SharedPtr | ( | const SharedPtr< T > & | o | ) | `[inline]`

SharedPtr | ( | const WeakPtr< T > & | o | ) | `[inline, explicit]`

~SharedPtr | ( |  | ) | `[inline]`

## Member Function Documentation

void reset | ( |  | ) | `[inline]`

T* data | ( |  | ) | const`[inline]`

const T* constData | ( |  | ) | const`[inline]`

T* operator-> | ( |  | ) | `[inline]`

T* operator-> | ( |  | ) | const`[inline]`

bool isNull | ( |  | ) | const`[inline]`

operator bool | ( |  | ) | const`[inline]`

bool operator! | ( |  | ) | const`[inline]`

bool operator== | ( | const SharedPtr< T > & | o | ) | const`[inline]`

bool operator!= | ( | const SharedPtr< T > & | o | ) | const`[inline]`

bool operator== | ( | const T * | ptr | ) | const`[inline]`

bool operator!= | ( | const T * | ptr | ) | const`[inline]`

SharedPtr<T>& operator= | ( | const SharedPtr< T > & | o | ) | `[inline]`

void swap | ( | SharedPtr< T > & | o | ) | `[inline]`

static SharedPtr<T> staticCast | ( | const SharedPtr< X > & | src | ) | `[inline, static]`

static SharedPtr<T> dynamicCast | ( | const SharedPtr< X > & | src | ) | `[inline, static]`

static SharedPtr<T> constCast | ( | const SharedPtr< X > & | src | ) | `[inline, static]`